%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  DHSr
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Create Large Scale Repeated Regression Summary Statistics Dataset and Visualization Seamlessly

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-CRAN-sf 
BuildRequires:    R-CRAN-spdep 
BuildRequires:    R-CRAN-viridis 
BuildRequires:    R-CRAN-nlme 
BuildRequires:    R-CRAN-MuMIn 
BuildRequires:    R-CRAN-tidyr 
BuildRequires:    R-stats 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-rlang 
Requires:         R-CRAN-sf 
Requires:         R-CRAN-spdep 
Requires:         R-CRAN-viridis 
Requires:         R-CRAN-nlme 
Requires:         R-CRAN-MuMIn 
Requires:         R-CRAN-tidyr 
Requires:         R-stats 

%description
Mapping, spatial analysis, and statistical modeling of microdata from
sources such as the Demographic and Health Surveys
<https://www.dhsprogram.com/> and Integrated Public Use Microdata Series
<https://www.ipums.org/>. It can also be extended to other datasets. The
package supports spatial correlation index construction and visualization,
along with empirical Bayes approximation of regression coefficients in a
multistage setup.  The main functionality is repeated regression — for
example, if we have to run regression for n groups, the group ID should be
vertically composed into the variable for the parameter `location_var`. It
can perform various kinds of regression, such as Generalized Regression
Models, logit, probit, and more. Additionally, it can incorporate
interaction effects. The key benefit of the package is its ability to
store the regression results performed repeatedly on a dataset by the
group ID, along with respective p-values and map those estimates.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
